Subject: Re: Should git-citool be in mainporcelain in command-list?

From: Jonathan Nieder <[email-masked]>
Date: Mon, 6 Sep 2010 16:39:37 -0500

Ævar Arnfjörð Bjarmason wrote:

> Maybe there should be an aliases category:
> 
>     $ grep -e git-gui -e citool command-list.txt
>     git-citool                              mainporcelain
>     git-gui                                 mainporcelain
> 
> A very minor nit, just something I ran into while gettext-izing and
> wondered "what's that".
> 
> But I'm probably the only one that's used command-list.txt for
> anything non-Make related in a while :)

Its main purpose is to populate the command list in git.1:

   Main porcelain commands
[...]
	git-citool(1)
	   Graphical alternative to git-commit.
[...]
	git-gui(1)
	   A portable graphical interface to Git.

What do you think this should say?  (Honest question --- I
haven't thought hard about it.)